
          // set the ISUS concentrations
          if( (srchptr=strstr(cbuf, "CONCS,")) != NULL ){

            if(strchr(srchptr, '?') != NULL){
              printf("ACK,CONCS?,%hu\n", fit_concs);
              SerInFlush();
              continue;
              }
            i = gotVal = 0;
            srchptr = strtok(srchptr, ",");
            while( (srchptr = strtok(NULL, ",")) != NULL ){
              ++i;
              if(i == 1){
                input_var = strtoul(srchptr, &endptr, 10);
                if( errno == ERANGE ){
                  printf("NAK,CONCS,OverflowErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else if( (input_var == 0) && (endptr == srchptr) ){
                  printf("NAK,CONCS,ConvertErr: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else if( (input_var < 2) || (input_var > 3) ){
                  printf("NAK,CONCS,RangeErr [2,3]: %s\n", srchptr);
                  i = ERROR;
                  break;
                  }
                else
                  ++gotVal;
                }
              }

            if( (gotVal == 1) && (i != ERROR) ){
              printf("ACK,CONCS,%hu\n", (ushort)input_var);

              SerInFlush();
              if( SerGetsTmout(abuf, sizeof(abuf), GET_ACK_TIMEOUT) > 0 ){
                if( MatchACK(abuf) == ACK ){               // if ACK update non-volatile RTC
                  fit_concs = (ushort)input_var;
                  WrDS1994(DS1994_ROM, FITCONCS_PTR, sizeof(ushort), (ushort*)&fit_concs);
                  SerInFlush();
                  continue;
                  }
                }

              sprintf(ebuf, "CONCS Command ACK Failure");
              LogErrorMsg(ebuf, (int)COMMAND_ACK_FAILURE, sys_message_enable);

              SerInFlush();
              continue;
              } // end gotVal1 if
            else{
              if(i != ERROR)
                printf("NAK,CONCS,FormatErr\n");

              SerInFlush();
              continue;
              }

            } // end set ISUS CONCS if


